## python-skytools 3.6.1

=== Makefile ===

VERSION = $(shell python3 setup.py --version)
RXVERSION = $(shell python3 setup.py --version | sed 's/\./[.]/g')
TAG = v$(VERSION)
NEWS = NEWS.rst

all:

clean:
	rm -rf build *.egg-info */__pycache__ tests/*.pyc
	rm -rf .pybuild MANIFEST

xclean: clean
	rm -rf .tox dist

checkver:
	@echo "Checking version"
	@grep -q '^Skytools $(RXVERSION)\b' $(NEWS) \
	|| { echo "Version '$(VERSION)' not in $(NEWS)"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: checkver
	git tag $(TAG)
	git push github $(TAG):$(TAG)

unrelease:
	git push github :$(TAG)
	git tag -d $(TAG)

shownote:
	awk -v VER="$(VERSION)" -f etc/note.awk $(NEWS) \
	| pandoc -f rst -t gfm --wrap=none

## python-skytools 3.3

=== debian/changelog ===
python-skytools (3.3-2) unstable; urgency=medium

  * Mention skytools/apipkg.py in copyright (MIT).

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 14 Feb 2018 09:45:51 +0100

python-skytools (3.3-1) unstable; urgency=medium

  * Initial Debian upload.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Feb 2018 14:58:43 +0100

=== debian/control ===
Source: python-skytools
Section: python
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.1.3
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all-dev,
 python3-psycopg2,
 python3-setuptools,
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/postgresql/python-skytools.git
Vcs-Browser: https://salsa.debian.org/postgresql/python-skytools
Homepage: https://github.com/pgq/python-skytools

Package: python3-skytools
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Skytools Python modules
 This is the low-level utility module split out from the old Skytools
 meta-package. It contains various utilities for writing PostgreSQL database
 scripts.
 .
 Features:
  * Support for background scripts - daemonizing - logging - config parsing
  * Database tools - tuned connection - DB structure examining - SQL parsing -
    COPY I/O
  * Time utilities - ISO timestamp parsing - datetime to timestamp
  * Text utilities - natural sort - fast urlencode I/O

=== debian/watch ===
version=4
https://github.com/pgq/python-skytools/releases .*/v(.*).tar.gz

## python-skytools 3.4

=== debian/changelog ===
python-skytools (3.4-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:15 +0100

python-skytools (3.4-2) unstable; urgency=medium

  * Source upload.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Dec 2019 13:38:17 +0100

python-skytools (3.4-1) unstable; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Nov 2019 14:59:19 +0100

python-skytools (3.3-3) unstable; urgency=medium

  * Add debian/gitlab-ci.yml.
  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 12:54:55 +0100

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = skytools

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-skytools 3.6

=== debian/changelog ===
python-skytools (3.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Aug 2020 10:47:28 +0200

python-skytools (3.5-2) unstable; urgency=medium

  * Add dependency on python3-psycopg2.
  * DH 13.
  * Remove ancient X-Python3-Version field.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 10:54:15 +0200

python-skytools (3.5-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 10.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * Restrict watch file to git tarballs.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 11:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: python-skytools
 Section: python
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-psycopg2,
  python3-setuptools,
-X-Python3-Version: >= 3.5
 Vcs-Git: https://salsa.debian.org/postgresql/python-skytools.git
 Vcs-Browser: https://salsa.debian.org/postgresql/python-skytools
 Homepage: https://github.com/pgq/python-skytools
 
 Package: python3-skytools
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+ python3-psycopg2,
 Description: Skytools Python modules
  This is the low-level utility module split out from the old Skytools
  meta-package. It contains various utilities for writing PostgreSQL database

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg20.04+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

python-skytools (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 14:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  dh-python,
  python3-all-dev,
  python3-psycopg2,

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg21.10+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg90+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg100+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg110+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg120+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1~20220624.1134-1~1.git041a433.pgdg+1

=== debian/changelog ===
python-skytools (3.6.1~20220624.1134-1~1.git041a433.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 14:10:55 +0200

## python-skytools 3.6.1

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-psycopg2,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,4 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+

=== debian/watch ===
version=4
https://github.com/pgq/python-skytools/releases .*/v([^/]*).tar.gz

## python-skytools 3.8.1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,15 @@
 NEWS = NEWS.rst
 
 all:
+	tox -e lint
+	tox -e py3
 
 clean:
 	rm -rf build *.egg-info */__pycache__ tests/*.pyc
 	rm -rf .pybuild MANIFEST
+
+xlint:
+	tox -e xlint
 
 xclean: clean
 	rm -rf .tox dist

=== debian/changelog ===
python-skytools (3.8.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 02 Jan 2023 16:26:01 +0100

python-skytools (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1.
    * debian/watch: use tags, not GitHub releases.
  * Add myself to Uploaders (Closes: #992937).
  * Update standards version to 4.6.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 02 Jan 2023 16:26:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.5.0
+Uploaders: Christoph Berg <myon@debian.org>,
+ Tomasz Rybak <serpent@debian.org>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  dh-python,
  python3-all-dev,
  python3-psycopg2,

## python-skytools 3.9.2

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,12 @@
 clean:
 	rm -rf build *.egg-info */__pycache__ tests/*.pyc
 	rm -rf .pybuild MANIFEST
+
+sdist:
+	python3 setup.py sdist
+
+lint:
+	tox -e lint
 
 xlint:
 	tox -e xlint
@@ -34,6 +40,9 @@
 	git tag -d $(TAG)
 
 shownote:
-	awk -v VER="$(VERSION)" -f etc/note.awk $(NEWS) \
+	gawk -v VER="$(VERSION)" -f etc/note.awk $(NEWS) \
 	| pandoc -f rst -t gfm --wrap=none
 
+showuses:
+	grep uses: .github/workflows/*.yml
+

=== debian/changelog ===
python-skytools (3.9.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from Uploaders, thanks Tomasz for taking over!

  [ Tomasz Rybak ]
  * New upstream version 3.9.2
  * PEP-517: add pybuild-plugin-pyproject to build dependencies.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 29 Nov 2023 20:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>,
+Uploaders:
  Tomasz Rybak <serpent@debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-psycopg2,
  python3-setuptools,
+ pybuild-plugin-pyproject
 Vcs-Git: https://salsa.debian.org/postgresql/python-skytools.git
 Vcs-Browser: https://salsa.debian.org/postgresql/python-skytools
 Homepage: https://github.com/pgq/python-skytools

=== debian/watch ===
version=4
https://github.com/pgq/python-skytools/tags .*/v([^/]*).tar.gz
